# Reckoner CDP API Client Library for Ruby

Ruby Client Library for Reckoner CDP services.

With this gem, you can:
* stream your data to Streaming Workflow.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'reckoner_cdp'
```

And then execute:

    $ bundle install

Or install it yourself as:

    $ gem install reckoner_cdp

## Usage

### Initialization

Initialize a client:

```ruby
require 'reckoner_cdp'

client = Reckoner::Cdp::Client.new('/path/to/key.json')
```

### Stream Your Data to Streaming Workflow

Stream:

```ruby
workflow_id = 1
data = [{bar: :bar1, foo: :foo1}, {bar: :bar2, foo: :foo2}]
client.streaming_bulk_insert(workflow_id, data)
```
