
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "reckoner/cdp/version"

Gem::Specification.new do |spec|
  spec.name          = "reckoner_cdp"
  spec.version       = Reckoner::Cdp::VERSION
  spec.authors       = ["ms03"]
  spec.email         = ["sasaki@3-shake.com"]

  spec.summary       = %q{writer to reckoner-cdp}
  spec.description   = spec.summary
  spec.homepage      = "https://github.com/3-shake/reckoner-cdp-ruby"
  spec.license       = "MIT"

  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_dependency "faraday_middleware", "~> 0.12"
  spec.add_dependency "msgpack", '~> 1.2'
  spec.add_dependency "google-api-client", '~> 0.34'
end
